com.io7m.smfj.serializer.api

## Interface SMFSerializerDataAttributesNonInterleavedType

- All Superinterfaces:
    AutoCloseable, Closeable

      public interface SMFSerializerDataAttributesNonInterleavedType
      extends Closeable

  The type of serializers for non-interleaved vertex data.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFSerializerDataAttributesValuesType` | `serializeData(SMFAttributeName name)` Start serializing data for a single attribute.

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Method Detail

    - #### serializeData

          SMFSerializerDataAttributesValuesType serializeData(SMFAttributeName name)
                                                       throws IllegalArgumentException,
                                                              IllegalStateException,
                                                              IOException

      Start serializing data for a single attribute.

      This method must be called once for each attribute in the header passed to `SMFSerializerType.serializeHeader(com.io7m.smfj.core.SMFHeader)` in the order the attributes are specified by `SMFHeader.attributesInOrder()`.

      If the method raises an exception, the serializer is considered to have failed and all subsequent method calls will raise `IllegalArgumentException`.

      Parameters:
        `name` - The attribute name
      Returns:
        A serializer for the data values
      Throws:
        `IllegalArgumentException` - Iff the given attribute is not the next expected attribute
        `IllegalStateException` - If too few values have been serialized for the attribute previously passed to this method
        `IllegalStateException` - If the header has not yet been serialized
        `IllegalStateException` - If the serializer has previously failed
        `IOException` - On I/O errors

Copyright © 2017 <code@io7m.com> http://io7m.com